
public class MPOptimalPhraseItem implements Comparable<MPOptimalPhraseItem> {

	private MPPhrase phrase = null;
	private double rank = 0;
	private int count = 0;
	
	public MPOptimalPhraseItem(MPPhrase thephrase, double therank, int thecount)
	{
		phrase = new MPPhrase(thephrase);
		
		rank = therank;
		count = thecount;
	}
	
	public int compareTo(MPOptimalPhraseItem item)
	{
		// sort in descending order
		int a = Integer.MAX_VALUE / 2;
		return (int)Math.round(item.rank * a - rank * a);
	}
	
	public String GetString()
	{
		return rank + "\t" + count + "\t" + phrase.GetString();
	}
	
	
}
