import java.util.*;

public class MPOptimalPhraseList {
	private ArrayList<MPOptimalPhraseItem> phraseList = null;
	
	public MPOptimalPhraseList()
	{
		phraseList = new ArrayList<MPOptimalPhraseItem>(0);
	}
	
	public void AddItem(MPPhrase phrase, double rank, int count) 
	{
		if (count >= 2) {
			phraseList.add(new MPOptimalPhraseItem(phrase, rank, count));
		}
	}
	
	public void Sort()
	{
		Collections.sort(phraseList);
	}
	
	public void Output(MPOutputStream out)
	{
		System.out.println("phrase list " + phraseList.size());
		out.MPWriteLn("");
		out.MPWriteLn("Optimal Phrase List\t" + phraseList.size());
		for (MPOptimalPhraseItem i : phraseList) {
			out.MPWriteLn(i.GetString());
		}
	}
}
