
public class RICityRegionItem extends RIRegionItem {

	public RICityRegionItem(MPGeoCoord2 coord) 
	{
		super();		
		region_name = GetKey(coord);
	}
	
	static public String GetKey(MPGeoCoord2 coord) 
	{
		if (coord.isCity()) {
			return coord.getCommonCityName();
		}
		return null;
	}
	
	public boolean Contains(MPGeoCoord2 geocoord)
	{
		if (geocoord.isCity()) {
			if (region_name.equalsIgnoreCase(geocoord.getCity())) {
				return true;
			}
		}
		return false;
	}

	public boolean Contains(MPGeoCoord2 loc, double scale)
	{
		return Contains(loc);
	}
}
