import java.io.*;

/***
 * 
 * @author jeffreysmith
 * 
 * v1.0 August 2012
 * 
 * a wrapper to simplify and abstract data output
 * 
 */

public class MPInputStream {
	private FileInputStream fis = null;
	private BufferedInputStream bis = null;
	private DataInputStream dis = null;		
	private File inputfile = null;
	
	public MPInputStream(String path)
	{
		try {
			inputfile = new File(path);
			fis = new FileInputStream(inputfile);
			bis = new BufferedInputStream(fis);
			dis = new DataInputStream(bis);
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public void Close()
	{
		if (dis == null) {
			return;
		}
		
		try {
			fis.close();
			bis.close();
			dis.close();
		} catch (IOException ex) {
			ex.printStackTrace();
		}
		
	}
	
	public short MPRead(String s) 
	{
		try {
			dis.read();
		} catch (IOException e) {
			e.printStackTrace();
		}
		return 0;
	}

}
