import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import com.amazonaws.util.json.JSONObject;
import com.amazonaws.util.json.JSONArray;
import com.amazonaws.util.json.JSONException;

public class MPJsonWriter {
	JSONObject json_obj;

	public MPJsonWriter()
	{
		json_obj = new JSONObject();
	}

	public void JsonPut(String index, MPJsonWriter obj)
	{
		try {
			json_obj.put(index,  obj.json_obj);
		} catch (JSONException e) {
			e.printStackTrace();
		}
	}

	public void JsonPut(String index, String value)
	{
		try {
			json_obj.put(index,  value);
		} catch (JSONException e) {
			e.printStackTrace();
		}
	}
	
	public void JsonPut(String index, Integer value)
	{
		try {
			json_obj.put(index, value);
		} catch (JSONException e) {
			e.printStackTrace();
		}
	}
	
	public void JsonPut(String index, boolean value)
	{
		try {
			json_obj.put(index, value);
		} catch (JSONException e) {
			e.printStackTrace();
		}
	}
	

	public void JsonPut(String index, ArrayList<String> values)
	{
		try {
			JSONArray list = new JSONArray();
			for (int i = 0; i < values.size(); i++) {
				list.put(i, values.get(i));
			}
			json_obj.put(index, list);
		} catch (JSONException e) {
			e.printStackTrace();
		}
	}
	
	public void JsonWrite(String filename)
	{
	
		try {
	 
			FileWriter file = new FileWriter(filename);
			String s = json_obj.toString(4);
			file.write(s);
			file.flush();
			file.close();
	 
		} catch (JSONException e) {
			e.printStackTrace();

		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}

