import java.io.*;

/***
 * 
 * @author jeffreysmith
 * 
 * v1.0 August 2012
 * 
 * a wrapper to simplify and abstract data output
 * 
 */

public class MPOutputStream {
	private FileWriter mpOut;
	private BufferedWriter mpWrite;
	
	public MPOutputStream(String path)
	{
		try {
			mpOut = new FileWriter("data" + File.separator + path);
			mpWrite = new BufferedWriter(mpOut);
		
		} catch(IOException e) {
			System.out.print("Exception:  can't put output stream" + path);
		}	
	}

	public void MPWrite(double f)
	{
		MPWrite(Float.toString((float)f));
	}

	public void MPWriteLn(double f)
	{
		MPWrite(f + "\n");
	}
	
	public void MPWrite(String s)
	{
		try {
			mpWrite.write(s);
			// System.out.print(s);
		
		} catch(IOException e) {
			System.out.print("Exception:  can't write output stream" + s);
		}	
		
	}

	public void MPWriteLn(String s)
	{
		MPWrite(s + "\n");
	}

	public void MPClose()
	{
		try {
			mpWrite.close();
		
		} catch(IOException e) {
			System.out.print("Exception:  can't close output stream");
		}	
	}

}
