
public class MPPhrase {
	int phrase[];
	int maxsize;
	int length;
	
	public MPPhrase(int s)
	{
		phrase = new int[s + 1];
		for (int i = 0; i < s; i++) {
			phrase[i] = 0;
		}
		phrase[s] = 0;
		maxsize = s;
		length = s;
	}
	
	public void init(int p[], int s)
	{
		phrase = new int[s + 1];
		int i = 0;
		for (; i < s; i++) {
			phrase[i] = p[i];
		}
		p[s] = 0;
		maxsize = s;		
		length = s;
	}
	
	public MPPhrase(MPPhrase p)
	{
		init(p.phrase, p.maxsize);
	}
	
	public MPPhrase(int p[], int s)
	{
		init(p, s);
	}
	
	public void set(int index, int value) 
	{
		if (index >= maxsize) {
			System.out.println("MPPhrase: set: bogus index");
		}
		phrase[index] = value;
		length = Math.max(length, index + 1);
	}
	
	public String GetString()
	{
		String s = "[";
		for (int i = 0; i < length; i++) {			
			s = s + phrase[i] + ",";
		}
		s = s + "0]\t";
		return s;
	}
	
}
