
public class RIContinentRegionItem extends RIRegionItem {

	public RIContinentRegionItem(MPGeoCoord2 coord) 
	{
		super();

		region_name = GetKey(coord);
	}

	static String GetKey(MPGeoCoord2 coord)
	{
		return coord.getGeoString();
	}
	
	public boolean Contains(MPGeoCoord2 geocoord)
	{
		String key = GetKey(geocoord);
		if (key != null) {
			if (region_name.compareTo(key) == 0) {
				return true;
			}
		}
		return false;
	}

	public boolean Contains(MPGeoCoord2 loc, double scale)
	{
		return Contains(loc);
	}

	@Override
	public String GetFullName()
	{
		return region_name;
	}
}
