
public class RICountryRegionItem extends RIRegionItem {

	String full_name;

	public RICountryRegionItem(MPGeoCoord2 coord) 
	{
		super();

		// if we want to exclude us, you can do it here by setting region_name to empty
		region_name = GetKey(coord);
		if (coord.countryName != null) {
			full_name = coord.getFullCountryName();
		}
	}

	static String GetKey(MPGeoCoord2 coord)
	{
		return coord.getCountry();
	}
	
	public boolean Contains(MPGeoCoord2 geocoord)
	{
		if (false && !geocoord.isCity()) {
			return false;
		}
		
		String key = GetKey(geocoord);
		if (key != null) {
			if (region_name.compareTo(key) == 0) {
				return true;
			}
		}
		return false;
	}

	public boolean Contains(MPGeoCoord2 loc, double scale)
	{
		return Contains(loc);
	}

	@Override
	public String GetFullName()
	{
		if (full_name != null) {
			return full_name;
		}
		return region_name;
	}
}
